Myth III wont start

Discussion in 'Games' started by bnemesis, Aug 7, 2004.

  1. bnemesis macrumors regular

    Jul 31, 2003
    I picked up Myth III for my G4 iBook (panther) and have been having one hell of a time getting it to run. Installing it from the disc and attempting to run it gives me the error "This game requires OpenGL 1.2 or higher", then kicks the cd out. I updated with the official update from Macsoft/Infogrames and that gave me the same error.

    I removed what I had installed, and reinstalled the game. Then updated to the newest version from Flyingflip, but the game still gives me the error.

    Anyone have any suggestions?

    1ghz 1Book. Panther 10.3.4, 640mb ram, radeon 9200.
  2. bnemesis thread starter macrumors regular

    Jul 31, 2003
    it turns out that I had something corrupted. I believe that it happened during the last major upgrade to 10.3.4.
    During that upgrade, the installed died at the end. The machine seemed slow since then.
    I could tell that something was seriously wrong when I used Disk Utility on the Panther install disk and Disk Repair couldnt fix the drive.

    Anyway, I backed my home directories up on my ipod and reformat/reinstlled. Everything has been peachy since.

    Both X-Plane and Myth 3 work great.

    BTW, Myth is crazy hard! I love it!

Share This Page